﻿namespace TestProject;

/// <summary>
/// 프로그램
/// </summary>
class Program
{
    //////////////////////////////////////////////////////////////////////////////////////////////////// Method
    ////////////////////////////////////////////////////////////////////////////////////////// Static
    //////////////////////////////////////////////////////////////////////////////// Private

    #region 밀리초 시간 구하기 - GetMillisecondTime(source)

    /// <summary>
    /// 밀리초 시간 구하기
    /// </summary>
    /// <param name="source">소스 날짜/시간</param>
    /// <returns>밀리초 시간</returns>
    private static long GetMillisecondTime(DateTime source)
    {
        long milliseconds = source.Ticks / TimeSpan.TicksPerMillisecond;

        return milliseconds;
    }

    #endregion
    #region 프로그램 시작하기 - Main()

    /// <summary>
    /// 프로그램 시작하기
    /// </summary>
    private static void Main()
    {
        for(int i = 0; i < 10; i++)
        {
            Console.WriteLine(GetMillisecondTime(DateTime.Now));
        }
    }

    #endregion
}